#include<iostream>
#include<cmath>
using namespace std;
main(){
    int n, m;
    cin>>n>>m;
    int a[n][m];
    int s=0;
    int max[n];
    for(int i=0; i<n; i++){
            max[i]=0;
        for(int j=0; j<m; j++){
           cin>>a[i][j];
            if(max[i]<a[i][j]) max[i]=a[i][j];

        }}
    for(int i=0; i<n; i++){
        for(int j=0; j<m; j++){
           s+=(max[i]^a[i][j]);

        }
    }
    cout<< s<< endl;

}